@import 'https://cdn.jsdelivr.net/npm/bulma@1.0.4/css/bulma.min.css';
@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@400..700&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

html,
body {
  display: flex;
  flex-direction: column;
  height: 100%;
  margin: 0;
  font-family: 'Roboto', sans-serif;
  font-optical-sizing: auto;
  line-height: 1.5;
  color: #1a1a1a;
  background: radial-gradient(circle at center, #ffffff 50%, #e3fdf5 100%);
}
.navbar,
.hero {
  background: linear-gradient(to right, #ffffff, #e3fdf5, #ffe6fa);
}
.navbar-brand .title {
  font-size: 1.4rem;
  font-weight: 700;
}
.navbar-brand .navbar-logo {
  color: #17b8a6;
}
.navbar-menu .navbar-end .navbar-item {
  font-weight: 600;
}

.hero .container {
  padding: 1.2rem;
}
.hero .column .content {
  margin-top: 15%;
}
.hero .column .content .title,
.hero .column .content .subtitle {
  line-height: 1rem;
}
.hero .title {
  font-size: 3.5rem;
  font-family: 'Caveat', cursive;
  font-optical-sizing: auto;
}
#blog-preview {
  margin-top: 2rem;
  margin-bottom: 2rem;
}
.hero .hero-blog-link {
  font-size: 1.2rem;
  font-weight: 700;
  background: #139485;
  padding: 0.6rem 1rem;
  color: #ffffff;
  margin-right: 0.5rem;
}
.hero .hero-blog-link:hover {
  background: #0b5048;
  text-decoration: none;
  color: #ffffff;
}
.hero .hero-about-link {
  font-size: 1.2rem;
  font-weight: 700;
  padding: 0.6rem 1rem;
  border: 0.12rem solid #0b5048;
  color: #0b5048;
  margin-right: 0.5rem;
}
.hero .hero-about-link:hover {
  background: #0b5048;
  text-decoration: none;
  color: #ffffff;
}
#blog-preview .card {
  box-shadow: 0 0.1rem 0.1rem #0a0a0a1a, #0a0a0a1a;
  border-radius: 0.3rem;
  padding: 1rem 0.3 0 0.3rem;
}
#blog-preview .card:hover {
  background: linear-gradient(to bottom, #ffffff 25%, #e3fdf5 100%);
}

#blog-preview .card-content .subtitle {
  font-size: 1.2rem;
  font-weight: 600;
}
#blog-preview .card-content p {
  font-size: 1rem;
}
#blog-preview .card-content p a {
  font-weight: 600;
  color: #000000;
  text-decoration: underline;
}
#blog-preview .card-content p a:hover {
  color: #0e685d;
  text-decoration: none;
}

#about {
  margin-top: 2rem;
  margin-bottom: 3rem;
}
#about .content p {
  font-size: 1.7rem;
  font-family: 'Caveat', cursive;
  font-optical-sizing: auto;
  font-weight: 600;
  line-height: 2.2rem;
  word-spacing: 0.35rem;
  padding: 1rem;
  background: linear-gradient(to right, #ffffff 20%, #e3fdf5);
}

.footer {
  background: #0b5048;
}
.footer .content p,
.footer .content a {
  color: #fafafa;
  font-weight: 600;
}
.footer .content a:hover {
  color: #17b8a6;
}
.footer .social-links {
  line-height: 0rem;
}
.footer .social-icons a {
  color: #ffffff;
  font-size: 1.5rem;
}
.footer .social-icons a:hover {
  color: #17b8a6;
}

.footer .social-icons .breadcrumb ul .mt-1 {
  margin-top: 0.09rem;
}
.footer .social-icons .breadcrumb ul li a {
  margin-right: -0.2rem;
}

@media only screen and (max-width: 600px) {
  .navbar-brand {
    justify-content: center;
  }
  .navbar-brand .title {
    font-size: 1.6rem;
  }
  .navbar-menu {
    background: linear-gradient(to right, #ffffff, #e3fdf5, #ffe6fa);
  }
  .hero {
    margin-top: 6rem;
  }
  .hero .column .content {
    margin-top: 0rem;
  }
  .hero .column .content .content {
    /*make center*/
    padding: auto 0;
  }
  #blog-preview,
  #about {
    padding-left: 1.1rem;
    padding-right: 1.1rem;
  }
  #blog-preview .title {
    text-align: center;
  }

  #about {
    text-align: center;
    margin-bottom: 0;
    background: linear-gradient(to bottom, #ffffff, #e3fdf5, #e3fdf5);
  }
  #about figure {
    max-width: 15rem;
    margin: auto;
  }

  #about .content p {
    font-size: 1.5rem;
    line-height: 1.65rem;
    word-spacing: 0.1rem;
    text-align: justify;
    background: none;
    margin-bottom: 3rem;
    padding: 0rem;
  }
  .footer .breadcrumb.is-left ul {
    justify-content: center;
    margin: auto;
  }
  .footer .social-links {
    margin-top: 2rem;
    text-align: center !important;
  }
  .footer .breadcrumb.is-right ul {
    justify-content: center !important;
    margin: auto;
  }
}
